Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeRender::deRenderStats Struct Reference

`#include <deRender.hpp>`

Collaboration diagram for IdeRender::deRenderStats:

[legend]
List of all members.

## Public Attributes
IdeDriver::deDriverStats | DriverStats
| information extracted from the driver
long | VertexRenders
| count of how many things were rendered
long | IndexRenders
| count of how many things were rendered
long | PrimitiveRenders
| count of how many things were rendered
long | VBufferRenders
| count of items regarding vertex buffers
long | VBufferUpdates
| count of items regarding vertex buffers
long | VBufferSubRenders
| count of items regarding vertex buffers
long | VBuffersTotal
| total number of vertex buffers used (and number that had indexed data)
long | VBuffersIndexed
| total number of vertex buffers used (and number that had indexed data)
long | TexturesTotal
| number of textures used
long | TexturesChanged
| number of texture switches
long | MaterialsChanged
| number of material changes during the frame
long | BitmapsTotal
| number of bitmaps total and in relation to a vertex buffer
long | MinBitmapsPer
| number of bitmaps total and in relation to a vertex buffer
long | MaxBitmapsPer
| number of bitmaps total and in relation to a vertex buffer
long | MinLightsPer
| number of lights per vertex buffer
long | MaxLightsPer
| number of lights per vertex buffer
long | LightsVertNum [9]
long | RenderPasses
| the scene may be rendered more than one time to optimize certain things
long | VertexPasses
| the scene may be rendered more than one time to optimize certain things
deFloat | FarPlaneDistUsed
| the frustum far plane distance used for rendering

## Detailed Description

Structure keeping statistical information about a rendered frame. This information can be useful for optimizing your application and content.

## Member Data Documentation

long IdeRender::deRenderStats::BitmapsTotal

| number of bitmaps total and in relation to a vertex buffer

IdeDriver::deDriverStats IdeRender::deRenderStats::DriverStats

| information extracted from the driver

deFloat IdeRender::deRenderStats::FarPlaneDistUsed

| the frustum far plane distance used for rendering

long IdeRender::deRenderStats::IndexRenders

| count of how many things were rendered

long IdeRender::deRenderStats::LightsVertNum[9]

| each index stores the number of vertices rendered with that number of lights. ie, LightsVertNum[3] is the number of vertices rendered with 3 lights affecting them.

long IdeRender::deRenderStats::MaterialsChanged

| number of material changes during the frame

long IdeRender::deRenderStats::MaxBitmapsPer

| number of bitmaps total and in relation to a vertex buffer

long IdeRender::deRenderStats::MaxLightsPer

| number of lights per vertex buffer

long IdeRender::deRenderStats::MinBitmapsPer

| number of bitmaps total and in relation to a vertex buffer

long IdeRender::deRenderStats::MinLightsPer

| number of lights per vertex buffer

long IdeRender::deRenderStats::PrimitiveRenders

| count of how many things were rendered

long IdeRender::deRenderStats::RenderPasses

| the scene may be rendered more than one time to optimize certain things

long IdeRender::deRenderStats::TexturesChanged

| number of texture switches

long IdeRender::deRenderStats::TexturesTotal

| number of textures used

long IdeRender::deRenderStats::VBufferRenders

| count of items regarding vertex buffers

long IdeRender::deRenderStats::VBuffersIndexed

| total number of vertex buffers used (and number that had indexed data)

long IdeRender::deRenderStats::VBuffersTotal

| total number of vertex buffers used (and number that had indexed data)

long IdeRender::deRenderStats::VBufferSubRenders

| count of items regarding vertex buffers

long IdeRender::deRenderStats::VBufferUpdates

| count of items regarding vertex buffers

long IdeRender::deRenderStats::VertexPasses

| the scene may be rendered more than one time to optimize certain things

long IdeRender::deRenderStats::VertexRenders

| count of how many things were rendered

The documentation for this struct was generated from the following file:

- deRender.hpp